        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">        
            <section class="content-header">
                <h1>
                    FORM
                    <small>Ganti Password</small>
                </h1>            
            </section>

            <section class="content">
                <div class="row">
                    <div class="col-md-12">

                        <div class="box box-primary">
                            <div class="box-header with-border">
                                <h3 class="box-title">Mengganti Password</h3>
                            </div>

                            <?php 
                            // Menampilkan pesan notifikasi menggunakan flashdata
                            if ($this->session->flashdata('alert')) {
                                echo "<div class='alert alert-success'>" . $this->session->flashdata('alert') . "</div>";
                            } elseif ($this->session->flashdata('error')) {
                                echo "<div class='alert alert-danger'>" . $this->session->flashdata('error') . "</div>";
                            }
                            ?>

                            <form role="form" method="post" action="<?php echo base_url('dashboard/ganti_password_aksi'); ?>">
                                <!-- CSRF Protection -->
                                <input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>" />
                                
                                <div class="box-body">
                                    <div class="form-group">
                                        <label for="password_lama">Password Lama</label>
                                        <input type="password" class="form-control" id="password_lama" name="password_lama" placeholder="Masukkan Password Lama Anda...">
                                        <?php echo form_error('password_lama'); ?>
                                    </div>
                                    <div class="form-group">
                                        <label for="password_baru">Password Baru</label>
                                        <input type="password" class="form-control" id="password_baru" name="password_baru" placeholder="Masukkan Password Baru Anda...">
                                        <?php echo form_error('password_baru'); ?>
                                    </div>
                                    <div class="form-group">
                                        <label for="konfirmasi_password">Konfirmasi Password Baru</label>
                                        <input type="password" class="form-control" id="konfirmasi_password" name="konfirmasi_password" placeholder="Masukkan Ulang Password Baru Anda...">
                                        <?php echo form_error('konfirmasi_password'); ?>
                                    </div>                                                                       
                                </div>                                

                                <div class="box-footer">
                                    <button type="submit" class="btn btn-primary">GANTI SAJA...!</button>
                                </div>
                            </form>                            
                        </div>

                    </div>
                </div>
            </section>
        </div>