<div class="content-wrapper">
    <section class="content-header">
        <h1>
            Pengguna
            <small>Konfirmasi Hapus Pengguna</small>
        </h1>
    </section>

    <section class="content">

        <div class="row">
            <div class="col-lg-6">
                <a href="<?= site_url('dashboard/pengguna'); ?>" class="btn btn-sm btn-primary">Kembali</a>
                
                <br/>
                <br/>

                <div class="box box-primary">
                    <div class="box-header">
                        <h3 class="box-title">Konfirmasi Hapus</h3>
                    </div>
                    <div class="box-body">
                        
                        <p>
                            <b><?= htmlspecialchars($pengguna_hapus->pengguna_nama, ENT_QUOTES, 'UTF-8'); ?></b> akan dihapus. 
                            Semua artikel yang ditulis oleh <b><?= htmlspecialchars($pengguna_hapus->pengguna_nama, ENT_QUOTES, 'UTF-8'); ?></b> akan dipindahkan ke pengguna lain.
                        </p>

                        <?= form_open('dashboard/pengguna_hapus_aksi'); ?>
                            <div class="box-body">
                                <div class="form-group">
                                    <label>Nama Pengguna Pengganti</label>
                                    <input type="hidden" name="pengguna_hapus" value="<?= $pengguna_hapus->pengguna_id; ?>">

                                    <select class="form-control" name="pengguna_tujuan" required>
                                        <option value="">- Pilih Pengguna Tujuan -</option>
                                        <?php foreach ($pengguna_lain as $pl) { ?>
                                            <option value="<?= $pl->pengguna_id; ?>" <?= set_select('pengguna_tujuan', $pl->pengguna_id); ?>>
                                                <?= htmlspecialchars($pl->pengguna_nama, ENT_QUOTES, 'UTF-8'); ?>
                                            </option>
                                        <?php } ?>
                                    </select>
                                    <?= form_error('pengguna_tujuan'); ?>
                                </div>
                            </div>

                            <div class="box-footer">
                                <button type="submit" class="btn btn-danger">Hapus Pengguna & Pindahkan Artikel</button>
                            </div>
                        <?= form_close(); ?>

                    </div>
                </div>

            </div>
        </div>

    </section>
</div>
