        <!-- Content Wrapper -->
        <div class="content-wrapper">
            <section class="content-header">
                <h1>PANDUAN CSIRT <small>Tulis Panduan Baru</small></h1>
            </section>

            <section class="content">
                <a href="<?php echo site_url('dashboard/panduan'); ?>" class="btn btn-sm btn-primary">
                    <i class="fa fa-arrow-left"></i> Kembali
                </a>

                <br/><br/>

                <!-- Tampilkan Error Jika Ada -->
                <?php if ($this->session->flashdata('error')): ?>
                    <div class="alert alert-danger"><?php echo $this->session->flashdata('error'); ?></div>
                <?php endif; ?>

                <?php echo form_open_multipart('dashboard/panduan_aksi'); ?>

                <!-- CSRF Protection -->
                <input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" 
                    value="<?php echo $this->security->get_csrf_hash(); ?>" />

                <div class="row">
                    <div class="col-md-8">
                        <div class="box box-primary">
                            <div class="box-body">
                                <div class="form-group">
                                    <label>Nama</label>
                                    <input type="text" name="nama" class="form-control" placeholder="Masukkan nama panduan .." required value="<?php echo set_value('nama'); ?>">
                                    <?php echo form_error('nama', '<div class="text-danger">', '</div>'); ?>
                                </div>

                                <div class="form-group">
                                    <label>Kategori</label>
                                    <select class="form-control" name="kategori" required>
                                        <option value="">- Pilih Kategori -</option>
                                        <?php foreach ($kategori_panduan as $k): ?>
                                            <option value="<?php echo $k->kategori_panduan_id; ?>" <?php echo set_select('kategori_panduan', $k->kategori_panduan_id); ?>>
                                                <?php echo $k->kategori_panduan_nama; ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                    <?php echo form_error('kategori_panduan', '<div class="text-danger">', '</div>'); ?>
                                </div>

                                <div class="form-group">
                                    <label>Upload Dokumen</label>
                                    <input type="file" name="dokumen_baru" class="form-control" required>
                                    <?php if ($this->session->flashdata('dokumen_ok_error')): ?>
                                        <div class="text-danger"><?php echo $this->session->flashdata('dokumen_ok_error'); ?></div>
                                    <?php endif; ?>
                                    <?php echo form_error('dokumen_baru', '<div class="text-danger">', '</div>'); ?>
                                </div>

                                <!-- Progress Bar -->
                                <div class="progress progress-sm active">
                                    <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;" id="progressBarDokumen">
                                        <span class="sr-only">0% Complete</span>
                                    </div>
                                </div>

                                <!-- Tombol Submit -->
                                <button type="submit" name="masuk_bro" value="Draft" class="btn btn-warning btn-block">Simpan sebagai Draft</button>
                                <button type="submit" name="masuk_bro" value="Publish" class="btn btn-success btn-block">Publikasikan</button>
                            </div>
                        </div>
                    </div>
                </div>

                <?php echo form_close(); ?>
            </section>
        </div>
